# 靓号合约生成

想生成一个个性化的“靓号”合约地址，比如：\
`0x0000000000004946c0e9f43f4dee607b0ef1fa1c`？

只需通过 PC 端访问 TokenTool 平台的【合约靓号生成器】，按照以下步骤操作即可：

***

## 第一步：打开靓号生成器

访问地址：<https://tokentools.app/other/vanityContractGenerator>

***

## 第二步：输入你想要的“靓号”字符串

例如尾号为 `8888` 的地址。

> ✅ **温馨提示：页面加载完成后，建议断网或关闭 Wi-Fi，离线进行生成，保障私钥安全。**

![vanityContract](/files/XTdAI8sBju2BErlrYu6S)

***

## 第三步：设置线程数，加快生成速度

生成速度取决于你电脑的 CPU 核心数。多线程并发，速度更快。

![vanityContract](/files/aUkuYDyIHzkf9tueomt2)

***

## 第四步：等待生成成功

生成成功后，会展示以下内容：

* ✅ 合约地址
* ✅ 地址
* ✅ 私钥

请妥善保存这些信息！首次用该地址部署合约，即可拥有对应的靓号合约地址。

![vanityContract](/files/0K45BxxpDC0RGmoudpd2)

***

## 第五步：导入钱包并转入部署费用

将该地址导入钱包，充值部署合约所需的 GAS 费用。然后即可通过“一键发币”功能部署合约。

![vanityContract](/files/bVrfvZZ4mfKZf5HVrRnV)

***

## 🔐 安全提示与进阶玩法：

* 为保障安全，建议部署合约后**立即将合约所有权转移**至主用钱包，并**将主用地址加入白名单**。
* 使用相同地址在不同链**首次部署代币时**，你会得到**完全相同的合约地址**！

例如：

* 在 BSC 链部署后，获得地址：`0x0000000000004946c0e9f43f4dee607b0ef1fa1c`
* 再在 ETH 链首次部署，也会得到同一个地址。其他兼容链亦同。

***

## 🔗 相关链接

* 靓号生成器：<https://tokentools.app/other/vanityContractGenerator>
* 创建代币 V1：<https://tokentools.app/createToken/bsc>
* 创建代币 V2：<https://tokentools.app/createToken/v2>
* 创建代币 V3：<https://tokentools.app/createToken/v3>
* 创建代币 V4：<https://tokentools.app/createToken/v4>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tokentools.app/other/vanitycontract.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
